PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHMACTemplate< hash_class > Class Template Reference

`#include <cypher.h>`

Inheritance diagram for PHMACTemplate< hash_class >:
[legend]
Collaboration diagram for PHMACTemplate< hash_class >:
[legend]

## Public Member Functions
| PHMACTemplate (const PString &key)
| PHMACTemplate (const PBYTEArray &key)
| PHMACTemplate (const BYTE *key, PINDEX len)
virtual void | Hash (const BYTE *data, PINDEX len, Result &result)
virtual int | GetL () const
Public Member Functions inherited from PHMAC
virtual PString | Encode (const BYTE *data, PINDEX len)
virtual PString | Encode (const PBYTEArray &data)
virtual PString | Encode (const PString &str)
virtual void | Process (const BYTE *data, PINDEX len, Result &result)
virtual void | Process (const PBYTEArray &data, Result &result)
virtual void | Process (const PString &str, Result &result)
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Additional Inherited Members
Public Types inherited from PHMAC
typedef PMessageDigest::Result | Result
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
Protected Member Functions inherited from PHMAC
virtual int | GetB () const
virtual void | Initialise (const BYTE *key, PINDEX len)
virtual void | InternalProcess (const BYTE *data, PINDEX len, PHMAC::Result &result)
Protected Attributes inherited from PHMAC
PBYTEArray | m_key
Friends inherited from PObject

## Constructor & Destructor Documentation

template<class hash_class >

PHMACTemplate< hash_class >::PHMACTemplate | ( | const PString & | key | ) |
| inline

References PString::GetLength(), and PHMAC::Initialise().

template<class hash_class >

PHMACTemplate< hash_class >::PHMACTemplate | ( | const PBYTEArray & | key | ) |
| inline

References PContainer::GetSize(), and PHMAC::Initialise().

template<class hash_class >

PHMACTemplate< hash_class >::PHMACTemplate | ( | const BYTE * | key,
|  | PINDEX | len
| ) |  |
| inline

References PHMAC::Initialise().

## Member Function Documentation

template<class hash_class >

virtual int PHMACTemplate< hash_class >::GetL | ( |  | ) | const
| inline virtual

Implements PHMAC.

template<class hash_class >

virtual void PHMACTemplate< hash_class >::Hash | ( | const BYTE * | data,
|  | PINDEX | len,
|  | Result & | result
| ) |  |
| inline virtual

Implements PHMAC.

The documentation for this class was generated from the following file:

- cypher.h